import {Component, ViewChild} from '@angular/core';
import {SchedulerComponent} from './scheduler.component';

@Component({
    selector: 'my-app',
    template: `
        <h1>{{title}}</h1>
        <div class="info">
        <p>This example demononstrates how Ext Scheduler can be wrapped as an Angular component and used in Angular templates and classes.</p>
        <p>A blog post describing the example can be found here: <a href="http://www.bryntum.com/blog/using-ext-scheduler-with-angular-2">http://www.bryntum.com/blog/using-ext-scheduler-with-angular-2</a></p>
        <p>Source available here: <a href="href://www.bryntum.com/playpen/angular2/angular2.zip">href://www.bryntum.com/playpen/angular2/angular2.zip</a></p>
        </div>
        <div class="box">
        <p><span>Selected event:</span>{{eventTitle||'None'}}</p>
        <p><span>Number of events:</span>{{scheduler.eventCount||'0'}}<br/> 
        <button (click)="onAddClick()">Add event</button></p>
        </div>
        
        <scheduler 
            #scheduler
            title="Scheduler" 
            url="data/data.json"
            preset="dayAndWeek"
            startDate="2016-09-05"
            endDate="2016-09-11"
            (onEventSelect)="onEventSelect($event)">    
        </scheduler>
        `,
    directives: [SchedulerComponent]
})

export class AppComponent {
    title      = 'Angular 2 demo';
    eventTitle = '';

    @ViewChild(SchedulerComponent) schedulerComponent:SchedulerComponent;

    onAddClick() {
        // add event for random resource on random day
        this.schedulerComponent.addRandomEvent();
    }

    onEventSelect(eventRecord:any) {
        // event selected in scheduler, display its name
        this.eventTitle = eventRecord.get('Name');
    }
}
